import request from '@/utils/holmesRequest'
// 获取造数据导航页接口
export function getDataIndex(queryInfo) {
  return request({
    url: '/build/data/index',
    method: 'get',
    params: queryInfo
  })
}
// 获取造数据列表页面
export function getDataList(queryInfo) {
  return request({
    url: '/build/data/list',
    method: 'get',
    params: queryInfo
  })
}
// 获取造数据所有模块
export function getDataModules(queryInfo) {
  return request({
    url: '/build/data/modules',
    method: 'get',
    params: queryInfo
  })
}
// 添加数据
export function addData(data) {
  return request({
    url: '/build/data/add',
    method: 'post',
    data
  })
}
// 编辑数据
export function editData(data) {
  return request({
    url: '/build/data/update',
    method: 'post',
    data
  })
}
// 编辑数据
export function delData(data) {
  return request({
    url: '/build/data/delete',
    method: 'post',
    data
  })
}
